Bug 11699 - Crypto.Cipher.ARC4 is not available on some platforms
Crypto.Cipher.ARC4 is not available on some platforms
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-28 12:58 UTC by Stefan Metzmacher
Modified: 2016-02-17 08:23 UTC (History)
3 users (show)

See Also:


Attachments
Possible patches for master (11.90 KB, patch)
2016-01-28 15:01 UTC, Stefan Metzmacher
no flags Details
Patches from master with cherry-pick information (for v4-4-test) (12.70 KB, patch)
2016-02-04 11:08 UTC, Karolin Seeger
metze: review+
ab: review+
Details
Patch from master with cherry-pick information (for v4-3-test) (12.67 KB, patch)
2016-02-04 11:13 UTC, Karolin Seeger
metze: review+
ab: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2016-01-28 12:58:28 UTC
Some python scripts make use of Crypto.Cipher.ARC4 in order
to implement arcfour_encrypt().

This is not available everywhere, but we can fallback
to M2Crypto.RC4.RC4...
Comment 1 Stefan Metzmacher 2016-01-28 15:01:27 UTC
Created attachment 11797 [details]
Possible patches for master
Comment 2 Karolin Seeger 2016-02-04 11:08:49 UTC
Created attachment 11806 [details]
Patches from master with cherry-pick information (for v4-4-test)
Comment 3 Karolin Seeger 2016-02-04 11:13:27 UTC
Created attachment 11807 [details]
Patch from master with cherry-pick information (for v4-3-test)
Comment 4 Alexander Bokovoy 2016-02-04 12:43:49 UTC
Patches reviewed.
Comment 5 Karolin Seeger 2016-02-05 09:03:32 UTC
Pushed to autobuild-v4-[3|4]-test.
Comment 6 Karolin Seeger 2016-02-17 08:23:36 UTC
(In reply to Karolin Seeger from comment #5)
Pushed to both branches.
Closing out bug report.

Thanks!